Subject: Re: [PATCH net-next 5/5] igc: Export LEDs

From: Andrew Lunn <[email-masked]>
Date: Mon, 19 Jul 2021 02:40:39 +0200

> In general I'm not sure using the LED API provides a benefit here.
> The brightness attribute is simply misused. Maybe better add
> a sysfs attribute like led_mode under the netdev sysfs entry?

I _think_ you can put LED sys files other places than
/sys/class/led. It should be possible to put them into netdev sysfs
directory. However you need to consider what affect network name
spaces have on this and what happens when an interface changes
namespace.

     Andrew